#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

if [ "$Sub1_cd1" = "" ]
then
	SUBTITLES_ONE=""
fi

if [ "$Sub2_cd1" = "" ]
then
	SUBTITLES_TWO=""
fi

DIALOG=Xdialog

$DIALOG --title "X-ChaMan-$XCM_VERSION" \
	--backtitle "$Title. $MOVIE_TIME : $Duree" \
	--icon /tmp/xchaman.tmp/"$Picture2" \
	--wizard \
	--no-tags \
        --radiolist "$LANGUAGE_BACKTITLE :" 0 0 3 \
        "vf"  "$LANGUAGE_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \
        "vo"  "$LANGUAGE_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off 2>/tmp/checklist.tmp.$$

retval=$?

choice=`cat /tmp/checklist.tmp.$$`
rm -f /tmp/checklist.tmp.$$

case $retval in
  0) if [ "$choice" = "vf" ]
    then
	export AUDIOLANG="0" Version="$Audiotitle1 $SUBTITLES_ONE"
	/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh
    fi
    if [ "$choice" = "vo" ]
    then
	export AUDIOLANG="1" Version="$Audiotitle2 $SUBTITLES_TWO"
	/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh
    fi ;;
  1)
	rm -f /tmp/xchaman.tmp/* ;;
  3)
	/usr/local/XChaMan-$XCM_VERSION/data/menuxine.sh ;;
  255)
	rm -f /tmp/xchaman.tmp/* ;;
esac
