#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[LECTURE VIDEO AUDIO 2 CD 1]

PlayB1()
{
mplayer -nojoystick -nolirc -nortc -stop_xscreensaver -fs$ASPECTRATIO$AUDIODELAY2$Pan$Subaspect -aid 2 $Sub2_1"$Subtitles2_cd1"$SUBDELAY2 "$Movie"
}

DetectCd2()
{
if [ "$Movie2" != "" ]
then
	/usr/local/XChaMan-$XCM_VERSION/data/play_b2.sh
else
	rm -f /tmp/xchaman.tmp/*
fi
}

if [ -e $DIRNAME/"$Directory"/"$Movie" ]
then
	cd $DIRNAME/"$Directory"
	PlayB1
	DetectCd2
elif [ -e $cd1/"$Directory"/"$Movie" ]
then
	cd $cd1/"$Directory"
	PlayB1
	DetectCd2
elif [ -e $cd2/"$Directory"/"$Movie" ]
then
	cd $cd2/"$Directory"
	PlayB1
	DetectCd2
elif [ -e "$Movie" ]
then
	PlayB1
	DetectCd2
elif [ -e $POSITION/"$Directory"/"$Movie" ]
then
	cd $POSITION/"$Directory"
	PlayB1
	DetectCd2
else
echo -e "\a"
DIALOG=Xdialog

$DIALOG --title "$ERROR_TITLE" \
	--icon "/usr/local/XChaMan-$XCM_VERSION/data/warning.xpm" \
        --msgbox "$ERROR_MESSAGE_ONE !
$ERROR_MESSAGE_TWO." 0 0

case $? in
  0)
    rm -f /tmp/xchaman.tmp/* ;;
  255)
    rm -f /tmp/xchaman.tmp/* ;;
esac
fi
