#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

cat << EOF >/tmp/xchaman.tmp/readchap
#!/bin/sh
ReadChap()
{
mplayer -nojoystick -nolirc -nortc -stop_xscreensaver -fs$ASPECTRATIO$AUDIODELAY$Pan$Subaspect $Lang$SUBDELAY -ss \$Time "$Movie"
}
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

if [ "\$Time$Chap" = "" ]
then
	Time="\$STime$Chap"
	Pos="2"
else
	Time="\$Time$Chap"
	Pos="1"
fi

if [ "\$Pos" = "1" ] && [ "\$Movie2" = "" ]
then
	if [ -e $DIRNAME/"$Directory"/"$Movie" ]
	then
		cd $DIRNAME/"$Directory"
	elif [ -e $cd1/"$Directory"/"$Movie" ]
	then
		cd $cd1/"$Directory"
	elif [ -e $cd2/"$Directory"/"$Movie" ]
	then
		cd $cd2/"$Directory"
	fi
	ReadChap
	/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh
elif [ "\$Pos" = "1" ] && [ "\$Movie2" != "" ]
then
	if [ -e $DIRNAME/"$Directory"/"$Movie" ]
	then
		cd $DIRNAME/"$Directory"
		ReadChap
		export Time="0"
		/usr/local/XChaMan-$XCM_VERSION/data/play_cd2.sh
	elif [ -e $cd1/"$Directory"/"$Movie" ]
	then
		cd $cd1/"$Directory"
		ReadChap
		export Time="0"
		/usr/local/XChaMan-$XCM_VERSION/data/play_cd2.sh
	elif [ -e "$Movie" ]
	then
		ReadChap
		export Time="0"
		/usr/local/XChaMan-$XCM_VERSION/data/play_cd2.sh
	elif [ -e $POSITION/"$Directory"/"$Movie" ]
	then
		cd $POSITION/"$Directory"
		ReadChap
		export Time="0"
		/usr/local/XChaMan-$XCM_VERSION/data/play_cd2.sh
	else
		if [ "$cd1" != "$cd2" ]
		then
			if [ -e $cd2/"$Directory2"/"$Movie2" ]
			then
				eject $cd1
			else
				eject $cd2
			fi
		fi
	DIALOG=Xdialog

\$DIALOG --title "$CALL_CD1_TITLE" \\
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \\
	--yesno "$CALL_CD1_MESSAGE" 200x100

case \$? in
	0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd2/"$Directory2"/"$Movie2" ]
		then
			if [ `grep "$cd1" /etc/mtab` ="" ]
			then
				mount $cd1
			else
				eject -t $cd1
			fi
		else
			if [ `grep "$cd2" /etc/mtab` ="" ]
			then
				mount $cd2
			else
				eject -t $cd2
			fi
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/read_chap.sh ;;
	1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd2/"$Directory2"/"$Movie2" ]
		then
			eject -t $cd1
		else
			eject -t $cd2
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh ;;
	255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd2/"$Directory2"/"$Movie2" ]
		then
			eject -t $cd1
		else
			eject -t $cd2
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
esac
	fi
elif [ "\$Pos" = "2" ] && [ "\$Movie2" != "" ]
then
	export Time
	/usr/local/XChaMan-$XCM_VERSION/data/play_cd2.sh
fi
EOF
chmod a+x /tmp/xchaman.tmp/readchap
exec /tmp/xchaman.tmp/readchap
