#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[LECTURE VIDEO AUDIO 2 CD 1]

PlayB1()
{
xine -a 1 -pfhq$ASPECTRATIO -P /tmp/xchaman.tmp/playxine_b1.tox
}

DetectCd2()
{
if [ "\$Movie2" != "" ]
then
	/usr/local/XChaMan-$XCM_VERSION/data/playxine_b2.sh
else
	rm -f /tmp/xchaman.tmp/*
fi
}

. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[GNRATION FICHIER TOX]

echo "# toxine playlist

entry {
	identifier = Video Audio 2 cd 1;
	mrl = $Movie;
	subtitle = $Sub2_cd1;
	start = 0;
	end = -1;
};
#END" > /tmp/xchaman.tmp/playxine_b1.tox

if [ -e $DIRNAME/"$Directory"/"$Movie" ]
then
	cd $DIRNAME/"$Directory"
	PlayB1
	DetectCd2
elif [ -e $cd1/"$Directory"/"$Movie" ]
then
	cd $cd1/"$Directory"
	PlayB1
	DetectCd2
elif [ -e $cd2/"$Directory"/"$Movie" ]
then
	cd $cd2/"$Directory"
	PlayB1
	DetectCd2
elif [ -e "$Movie" ]
then
	PlayB1
	DetectCd2
elif [ -e $POSITION/"$Directory"/"$Movie" ]
then
	cd $POSITION/"$Directory"
	PlayB1
	DetectCd2
else

DIALOG=Xdialog

$DIALOG --title "$ERROR_TITLE" \
	--icon "/usr/local/XChaMan-$XCM_VERSION/data/warning.xpm" \
        --msgbox "$ERROR_MESSAGE_ONE !
$ERROR_MESSAGE_TWO." 0 0

case $? in
  0)
    rm -f /tmp/xchaman.tmp/* ;;
  255)
    rm -f /tmp/xchaman.tmp/* ;;
esac
fi
