#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[GNRATION FICHIER TOX]

echo "# toxine playlist

entry {
	identifier = $IDENTIFIER;
	mrl = $Movie2;
	subtitle = $SUBTITLES;
	start = $Time;
	end = -1;
};
#END" > /tmp/xchaman.tmp/chapters.tox

if [ -e $cd2/"$Directory2"/"$Movie2" ]
then
	cd $cd2/"$Directory2"
	xine  -a $AUDIOLANG -pfhq$ASPECTRATIO -P  /tmp/xchaman.tmp/chapters.tox
	/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh
elif [ -e $cd1/"$Directory2"/"$Movie2" ]
then
	cd $cd1/"$Directory2"
	xine  -a $AUDIOLANG -pfhq$ASPECTRATIO -P  /tmp/xchaman.tmp/chapters.tox
	/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh
else
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject $cd2
		else
			eject $cd1
		f
DIALOG=Xdialog

$DIALOG --title "$CALL_CD2_TITLE" \
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \
        --yesno "$CALL_CD2_MESSAGE" 200x100

case $? in
  0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			if [ `grep "$cd2" /etc/mtab` ="" ]
			then
				mount $cd2
			else
				eject -t $cd2
			fi
		else
			if [ `grep "$cd1" /etc/mtab` ="" ]
			then
				mount $cd1
			else
				eject -t $cd1
			fi
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/playxine_cd2pos.sh ;;
  1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh ;;
  255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh ;;
esac
fi
