#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

cat << EOF >/tmp/xchaman.tmp/playCD2
#!/bin/sh
PlayCd2()
{
mplayer -nojoystick -nolirc -nortc -stop_xscreensaver -fs$ASPECTRATIO$AUDIODELAY$Pan$Subaspect -ss $Time $Lang2$SUBDELAY "$Movie2"
}
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

if [ -e $cd2/"$Directory2"/"$Movie2" ]
then
	cd $cd2/"$Directory2"
	PlayCd2
	/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh
elif [ -e $cd1/"$Directory2"/"$Movie2" ]
then
	cd $cd1/"$Directory2"
	PlayCd2
	/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh
else
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject $cd2
		else
			eject $cd1
		fi
	fi
DIALOG=Xdialog

\$DIALOG --title "$CALL_CD2_TITLE" \\
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \\
        --yesno "$CALL_CD2_MESSAGE" 200x100

case \$? in
  0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			if [ `grep "$cd2" /etc/mtab` ="" ]
			then
				mount $cd2
			else
				eject -t $cd2
			fi
		else
			if [ `grep "$cd1" /etc/mtab` ="" ]
			then
				mount $cd1
			else
				eject -t $cd1
			fi
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/play_cd2.sh ;;
  1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh ;;
  255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh ;;
esac
fi
EOF
chmod a+x /tmp/xchaman.tmp/playCD2
exec /tmp/xchaman.tmp/playCD2